spring (106.0+dfsg-3build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:25:24 +0000

spring (106.0+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libminizip1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 03:31:55 +0000

spring (106.0+dfsg-3) unstable; urgency=medium

  * spring-javaai: Downgrade the dependency on spring to Suggests.
    spring-javaai is a collection of Java AI and an addon for spring. It makes
    sense to use it together with spring but since the engine is only supported
    on amd64 and i386 the strict dependency makes spring-javaai uninstallable on
    other architectures. This should allow the migration of spring to testing
    again.

 -- Markus Koschany <apo@debian.org>  Sat, 23 Dec 2023 23:18:22 +0100

spring (106.0+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with GCC 13. (Closes: #1037865)
  * Replace build-dependency on libfreetype6-dev with libfreetype-dev.

 -- Markus Koschany <apo@debian.org>  Fri, 01 Sep 2023 19:21:53 +0200

spring (106.0+dfsg-1) unstable; urgency=medium

  * New upstream version 106.0.
  * Refresh the patches. Drop GCC patches.
  * Fix compile error with GCC 12. (Closes: #1020019)
  * Don't run the testsuite.
  * Declare compliance with Debian Policy 4.6.2.
  * Remove asciidoc-base because the man page generation is currently broken.

 -- Markus Koschany <apo@debian.org>  Sat, 21 Jan 2023 17:08:46 +0100

spring (105.0.1+dfsg-5) unstable; urgency=medium

  * Fix FTBFS with gcc12. (Closes: #1013042)
  * Declare compliance with Debian Policy 4.6.1.

 -- Markus Koschany <apo@debian.org>  Wed, 03 Aug 2022 11:44:06 +0200

spring (105.0.1+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with glibc 2.34. Thanks to Steve Langasek for the patch.
    (Closes: #1000356)

 -- Markus Koschany <apo@debian.org>  Tue, 23 Nov 2021 01:15:48 +0100

spring (105.0.1+dfsg-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0.
  * Mark spring-common Multi-Arch: foreign
  * Fix FTBFS with GCC 11. (Closes: #984349)

 -- Markus Koschany <apo@debian.org>  Fri, 15 Oct 2021 22:07:22 +0200

spring (105.0.1+dfsg-2) unstable; urgency=medium

  * Set march flag to x86-64 on amd64. (Closes: #983807)

 -- Markus Koschany <apo@debian.org>  Tue, 02 Mar 2021 01:44:16 +0100

spring (105.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 105.0.1+dfsg.
    - The squish library is no longer embedded. (Closes: #838054)
  * Declare compliance with Debian Policy 4.5.1.
  * Refresh all patches. Remove patches which were fixed upstream.
  * Remove obsolete NEWS file.
  * Set -march flag to native on all other platforms than i386.
  * Don't install AI/Skirmish/E323AI. It's gone.
  * Install CircuitAI.

 -- Markus Koschany <apo@debian.org>  Thu, 21 Jan 2021 00:32:45 +0100

spring (104.0+dfsg-8) unstable; urgency=medium

  * Team upload
  * debian/patches/libjsoncpp.patch:
    Fix build with newer jsoncpp (Closes: #976452)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Dec 2020 18:21:59 +0100

spring (104.0+dfsg-7) unstable; urgency=medium

  * Switch to debhelper-compat = 13.
  * Fix build failure with gcc 10 due to missing include.
    Thanks to Steve Langasek for the patch. (Closes: #966885)

 -- Markus Koschany <apo@debian.org>  Wed, 05 Aug 2020 14:05:12 +0200

spring (104.0+dfsg-6) unstable; urgency=medium

  * Add bug-954722.patch and fix FTBFS due to error: conflicting declaration
    of ‘__pid_t gettid()’ with ‘C’ linkage. (Closes: #954722)

 -- Markus Koschany <apo@debian.org>  Sun, 05 Apr 2020 23:57:26 +0200

spring (104.0+dfsg-5) unstable; urgency=medium

  * Add use-sdl2-config.cmake.patch and workaround bug 951087.
    Fix FTBFS with latest SDL2 version. (Closes: #951974)
  * Declare compliance with Debian Policy 4.5.0.

 -- Markus Koschany <apo@debian.org>  Fri, 28 Feb 2020 01:11:27 +0100

spring (104.0+dfsg-4) unstable; urgency=medium

  * Add glstub.patch and fix FTBFS because NULL is not defined in glstub.c.
  * Drop B-D on python-pygccxml. (Closes: #943278)
  * Declare compliance with Debian Policy 4.4.1.
  * Use canonical VCS URI.
  * Switch to debhelper-compat = 12.

 -- Markus Koschany <apo@debian.org>  Thu, 26 Dec 2019 02:11:33 +0100

spring (104.0+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with GCC-8. Add gcc-8.patch. (Closes: #906409)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.0.

 -- Markus Koschany <apo@debian.org>  Tue, 21 Aug 2018 18:12:59 +0200

spring (104.0+dfsg-2) unstable; urgency=medium

  * Move fonts-freefont-otf dependency from spring to spring-common.
    (Closes: #861042)
  * Add gold-linker.patch and fix FTBFS on i386.

 -- Markus Koschany <apo@debian.org>  Sat, 14 Oct 2017 18:27:26 +0200

spring (104.0+dfsg-1) unstable; urgency=medium

  * New upstream version 104.0+dfsg.
  * Declare compliance with Debian Policy 4.1.1.
  * Use https for Format field
  * Drop gold-linker.patch. Apparently no longer needed.
  * Refresh sdl-debian.patch
  * d/rules: Replace the old dh_install --list-missing override with
    dh_missing --fail-missing.
  * Fix spring.install and don't install non-existent bin files.
  * Override Lintian error license-problem-convert-utf-code.
    The license was changed and the new Unicode license is DFSG-free.
    See #864729 for more information.
  * Update debian/copyright for new release.
  * Purge the installer completely when repacking the tarball.
  * Update README.source about asio and gflags.
  * Ensure that we build against system libraries of minizip.

 -- Markus Koschany <apo@debian.org>  Sat, 14 Oct 2017 15:38:12 +0200

spring (103.0+dfsg2-1) unstable; urgency=medium

  * Repack the tarball and remove possible non-free ConvertUTF directory.
  * Add remove-ConvertUTF.patch.
  * Build-depend on asciidoc-base instead of asciidoc.
    Thanks to Joseph Herlant for the report. (Closes: #850387)
  * Update debian/copyright and remove unicode paragraph.

 -- Markus Koschany <apo@debian.org>  Sat, 07 Jan 2017 11:54:38 +0100

spring (103.0+dfsg-2) unstable; urgency=medium

  * Add gold-linker.patch and work around the build failure with Debian's gold
    linker. (Closes: #846921)
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Thu, 08 Dec 2016 22:54:28 +0100

spring (103.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 103.0+dfsg.
  * Fix Lintian warning manpage-has-useless-whatis-entry.
  * Revert "Update spring.lintian-overrides"
    This reverts commit ddcd67f8153371a5227fca4adc80b104fabcfa07.
    The Lintian error on i386 can be ignored.
  * debian/watch: Use version=4.

 -- Markus Koschany <apo@debian.org>  Sat, 23 Jul 2016 22:23:05 +0200

spring (102.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * New attempt at improving reproducibility.

  [ Markus Koschany ]
  * Imported Upstream version 102.0+dfsg.
  * Declare compliance with Debian Policy 3.9.8.
  * Add and install pr-downloader.6 man page.

 -- Markus Koschany <apo@debian.org>  Fri, 08 Jul 2016 19:04:49 +0200

spring (101.0+dfsg-2) unstable; urgency=medium

  * Move all Java dependencies from Build-Depends-Indep to Build-Depends
    to prevent a mysterious FTBFS.

 -- Markus Koschany <apo@debian.org>  Sun, 06 Mar 2016 01:41:00 +0100

spring (101.0+dfsg-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * make generated .sdz (zip) archives reproducible.

  [ Markus Koschany ]
  * Imported Upstream version 101.0+dfsg.
  * Drop spring-dbg and use the new spring-dbgsym package instead.
  * Declare compliance with Debian Policy 3.9.7.
  * Update my e-mail address.
  * Vcs fields: Use https.
  * Drop remove-ThreadPool-test.patch. Fixed upstream.
  * Rebase sdl-debian.patch for new release.
  * debian/rules: Set PRD_JSONCPP_INTERNAL to FALSE and use Debian's version of
    jsoncpp.
  * Update get-orig-source target: Include pr-downloader. The pr-downloader is
    mandatory to build Spring now.
  * debian/control: New build-dependencies libcurl4-gnutls-dev and
    libjsoncpp-dev.
  * Install pr-downloader to /usr/games.
  * Install new Shard AI and examples to /usr/share/games/spring.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@debian.org>  Sat, 05 Mar 2016 22:42:24 +0100

spring (100.0+dfsg-2) unstable; urgency=medium

  * Add remove-ThreadPool-test.patch.
    Work around a FTBFS with GCC 5.2 by removing the ThreadPool test.
    (Closes: #797282)

 -- Markus Koschany <apo@gambaru.de>  Mon, 31 Aug 2015 15:58:52 +0200

spring (100.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 100.0+dfsg.

 -- Markus Koschany <apo@gambaru.de>  Thu, 16 Jul 2015 18:30:18 +0200

spring (99.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 99.0+dfsg.
  * Drop use-Debian-java-libs.patch. Apparently it is not necessary to keep
    this patch. The -javaai package can be successfully built without it. We
    are also symlinking the required system jars already, so that they can be
    found by the engine.
  * New build-dependency: Add libunwind-dev to Build-Depends.
  * Build with libminizip-dev. Do not use the embedded version.
  * Update sdl-debian.patch for new release.
  * Update debian/copyright for new release.
  * debian/rules: Add dh_install --list-missing.

 -- Markus Koschany <apo@gambaru.de>  Mon, 06 Jul 2015 15:01:48 +0200

spring (98.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 98.0+dfsg.
  * Declare compliance with Debian Policy 3.9.6.
  * Update VCS browser field to new canonical address.
  * Drop FTBFS-GCC-4.9.patch and cmake3.0.patch. Fixed upstream.
  * Remove unused lintian overrides for missing classpath warning.
  * Override lintian error shlib-with-non-pic-code (only on i386) because those
    files are not shared libraries but AI components of the Spring engine.

 -- Markus Koschany <apo@gambaru.de>  Sat, 11 Oct 2014 22:34:19 +0200

spring (97.0+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 97.0+dfsg.
  * debian/watch: Remove lzma extension, use upstream's gzip compressed
    tarballs and avoid a bug with uscan.
  * Update get-orig-source target for new release.
  * Switch to SDL2. Build-depend on libsdl2-dev.
  * Update sdl-debian.patch for SDL2.
  * Add cmake3.0.patch:
    - Cherry pick upstream commit and support the latest cmake 3.0 release.
      Thanks to Felix Geyer for the report. (Closes: #758259)
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@gambaru.de>  Sat, 16 Aug 2014 22:20:11 +0200

spring (96.0+dfsg-2) unstable; urgency=medium

  * Remove mention of oscpack from debian/copyright.
    - This directory does no longer exist.
  * Add FTBFS-GCC-4.9.patch.
    - Cherry pick upstream workaround to fix FTBFS with GCC 4.9.
      (Closes: #746914)
  * debian/control: Do not suggest libtxc-dxtn0 anymore.
    - This package is now recommended by libgl1-mesa-dri (Closes: #739183)

 -- Markus Koschany <apo@gambaru.de>  Sun, 01 Jun 2014 23:18:17 +0200

spring (96.0+dfsg-1) unstable; urgency=medium

  * Remove Jan Dittberner and Marco Amadori from Uploaders. Thank you for the
    past work! Add myself to Uploaders. (Closes: #719618)
  * Thanks to Gregor Herrman for the last NMU!
  * New upstream release.
    - Fix crash in multiplayer game. (Closes: #564001)
    - Fix segfault at startup. (Closes: #731372)
    - Fix missing files for spring-dedicated. (Closes: #571544)
  * Update README.Debian because the Java AI is already packaged in
    spring-javaai. Explain how to find maps and mods for spring.
    (Closes: #610787)
  * Update README.source.
  * debian/control:
    - Move default-jdk, libvecmath-java and libjna-java to Build-Depends-Indep.
    - Build-depend on libboost-all-dev instead of single boost libraries.
    - Bump Standards-Version to 3.9.5, no changes.
    - Use canonical Vcs-fields.
    - spring: Depend on fonts-freefont-otf instead of otf-freefont.
    - spring: Change versioned dependency of spring-common to
      (= ${source:Version}).
    - Remove obsolete Conflicts fields.
    - spring-common: Drop recommendations to avoid circular dependencies.
    - spring-common: Do not suggest map and mod packages that are not available
      for Debian.
  * Update debian/copyright for spring 96.0.
  * Add spring.maintscript and remove obsolete /etc/spring/datadir conffile.
  * debian/rules:
    - Add a new get-orig-source target and drop the new-upstream file.
    - Remove rts/spring.exe.manifest file from upstream sources.
      (Closes: #714789)
    - Clean up debian/rules and remove workaround with -fpermissive. This is no
      longer necessary for boost1.54.
    - Build and enable the test suite.
    - Do not install /etc/spring/datadir anymore. The defaults are sufficient.
  * Use spring-common.links for linking to FreeSansBold.otf.
  * Drop spring.links.
  * debian/patches:
    - Rename all patches and remove patch numbers.
    - Drop obsolete patches:
      + 0003-fix-cmake-2_8-java-build.patch.
      + 0004-fix-gcj-4.4-compilation.patch.
      + 0006-fix-boost.1.48-compilation.patch.
      + time_utc.patch.
    - Remaining patches:
      + sdl-debian.patch: Rebase against spring 96.0.
      + glshaderSource.patch: Fix a FTBFS with Debian's version of GL/glext.h.
      + use-Debian-java-libs.patch: No changes.

 -- Markus Koschany <apo@gambaru.de>  Thu, 13 Feb 2014 21:19:03 +0100

spring (88.0+dfsg1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add both patches from the Ubuntu package:
    - 0100-fix-glShaderSource-stub.patch:
      Fix glShaderSource stub signature to match that in <GL/glext.h>.
      (Colin Watson)
      Closes: a not yet reported FTBFS bug
    - time-utc.patch:
      Use updated boost::TIME_UTC_ symbol that doesn't clash with C11.
      (Dmitrijs Ledkovs)
      Closes: #710609

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Oct 2013 21:43:52 +0100

spring (89.0+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * Thanks to Matthias Klose for the NMU.
  * refresh debian/patches/0005-fix-sdl-build.patch

 -- Jan Dittberner <jandd@debian.org>  Thu, 12 Jul 2012 20:40:27 +0200

spring (88.0+dfsg1-1.1) unstable; urgency=low

  * Non maintainer upload
  * Work around build failure with GCC 4.7, build with -fpermissive.
    Closes: #667379.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2012 20:41:35 +0200

spring (88.0+dfsg1-1) unstable; urgency=low

  [ Jan Dittberner ]
  * New upstream version.
  * remove include/GL and include/SDL when repacking upstream tarball
  * debian/rules: remove unneeded repacking from get-orig-source target.
    Repacking is done in debian/new-upstream that is called by uscan
  * refresh debian/patches/0005-fix-sdl-build.patch
  * update Standards-Version to 3.9.3 (no changes)
  * update debian/copyright to 1.0 format

  [ Marco Amadori ]
  * Refreshed boost fix patch.
  * Include python unitsync bindings.

 -- Jan Dittberner <jandd@debian.org>  Sat, 31 Mar 2012 13:07:36 +0200

spring (85.0+dfsg1-3) unstable; urgency=low

  * Fixes compilation problems under boost 1.48 (Closes: #660450).
  * Parallel build the debhelper's way.
  * Removed plus signs in debian/rules.

 -- Marco Amadori <marco.amadori@gmail.com>  Mon, 27 Feb 2012 23:05:00 +0100

spring (85.0+dfsg1-2) unstable; urgency=low

  * really upload to unstable this time

 -- Jan Dittberner <jandd@debian.org>  Thu, 29 Dec 2011 17:13:49 +0100

spring (85.0+dfsg1-1) experimental; urgency=low

  * Upload of new upstream version to unstable (Closes: #652768)

 -- Jan Dittberner <jandd@debian.org>  Thu, 29 Dec 2011 12:21:53 +0100

spring (85.0+dfsg1-1~exp0) experimental; urgency=low

  * New upstream version.
  * debian/control:
    - fix short description
    - add docbook-xml to Build-Depends
    - use libsdl1.2-dev in Build-Depends because building with
      libsdl-1.3-dev fails due to incompatible headless stub

 -- Jan Dittberner <jandd@debian.org>  Thu, 22 Dec 2011 16:41:19 +0100

spring (84.0+dfsg1-1~exp0) experimental; urgency=low

  * New upstream version.
  * change debian/watch to use sf.net redirector
  * remove debian/patches/0006-fix-spelling-error.patch (applied
    upstream)

 -- Jan Dittberner <jandd@debian.org>  Tue, 22 Nov 2011 22:14:57 +0100

spring (83.0+dfsg1-1~exp0) experimental; urgency=low

  * New upstream version.
  * refresh debian/patches/0002-use-Debian-java-libs.patch,
    debian/patches/0003-fix-cmake-2_8-java-build.patch,
    debian/patches/0005-fix-sdl-build.patch and
    debian/patches/0006-fix-spelling-error.patch
  * drop debian/patches/ftbfs-fix-625097.patch (applied upstream)
  * update debian/docs, remove debian/spring.doc-base.*

 -- Jan Dittberner <jandd@debian.org>  Wed, 09 Nov 2011 17:19:17 +0100

spring (0.82.7.1+dfsg1-3) unstable; urgency=low

  * Fix "FTBFS: AAStar.h:70:43: error: 'NULL' was not declared in this
    scope", add debian/patches/ftbfs-fix-625097.patch from upstream (Closes:
    #625097)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Jan Dittberner <jandd@debian.org>  Tue, 03 May 2011 17:32:06 +0200

spring (0.82.7.1+dfsg1-2) unstable; urgency=low

  * upload to unstable

 -- Jan Dittberner <jandd@debian.org>  Sun, 06 Feb 2011 12:03:45 +0100

spring (0.82.7.1+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * change debian/watch to use upstream's announcement wiki page

 -- Jan Dittberner <jandd@debian.org>  Fri, 21 Jan 2011 19:35:44 +0100

spring (0.82.7+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * refresh patches debian/patches/0002-use-Debian-java-libs.patch and
    debian/patches/0005-fix-sdl-build.patch
  * remove sourceless installer/nsis_plugins/nsis7z.dll from tarball in
    debian/new-upstream
  * fix spelling error successfully instead of succesfully in
    debian/patches/0006-fix-spelling-error.patch

 -- Jan Dittberner <jandd@debian.org>  Thu, 06 Jan 2011 00:15:47 +0100

spring (0.82.6.1+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * improve debian/watch, add debian/new-upstream to automate DFSG
    repacking
  * add debian/spring.links to symlink the spring-dedicated manpage for
    engine-dedicated

 -- Jan Dittberner <jandd@debian.org>  Tue, 02 Nov 2010 10:33:34 +0100

spring (0.82.5.1+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * debian/control: add Suggests: libtxc-dxtn0 (Closes: #595379)
  * update debian/patches/0006-fix-spelling-error.patch fix spelling
    error in doc/manpages/spring-headless.6.txt
  * remove debian/spring.links upstream provides man pages for binaries

 -- Jan Dittberner <jandd@debian.org>  Wed, 08 Sep 2010 19:52:39 +0200

spring (0.82.3+dfsg1-1) experimental; urgency=low

  * New upstream version.
  * remove debian/patches/0001-Minor-spelling-fix.patch it is not needed
    anymore
  * refresh patch debian/patches/0002-use-Debian-java-libs.patch
  * debian/control: bump Standards-Version to 3.9.1 (no changes needed)
  * add debian/patches/0005-fix-sdl-build.patch to use libsdl1.2-dev's
    header files
  * update debian/rules and debian/docs to use new upstream
    documentation paths
  * update debian/README.source and debian/rules to reflect the removal
    of Windows binary files from upstream tarball
  * add debian/patches/0006-fix-spelling-error.patch to fix a spelling
    error
  * add symlinks to spring manpage for spring-multithreaded, spring-headless
    and spring-dedicated binaries
  * remove include/SDL and include/GL

 -- Jan Dittberner <jandd@debian.org>  Sun, 15 Aug 2010 17:49:08 +0200

spring (0.81.2.1+dfsg1-6) unstable; urgency=low

  * debian/control: remove dependency on python-dev-2.5

 -- Jan Dittberner <jandd@debian.org>  Sat, 29 May 2010 16:29:52 +0200

spring (0.81.2.1+dfsg1-5) unstable; urgency=low

  * debian/patches/0002-use-Debian-java-libs.patch:
    - remove empty ${myJLibDir} from classpath in
      AI/Interfaces/Java/CMakeLists.txt and
      AI/Skirmish/HughAI/CMakeLists.txt
    - use -classpath instead of -cp
  * refresh debian/patches/0001-Minor-spelling-fix.patch
  * debian/control: restrict supported architectures to i386 and amd64
    because building fails on kfreebsd-* due to no capable enough JDK
    and hardware accellerated OpenGL requirement
  * debian/rules: fail in override_dh_auto_configure if architecture is
    not amd64 or i386

 -- Jan Dittberner <jandd@debian.org>  Sat, 29 May 2010 01:20:21 +0200

spring (0.81.2.1+dfsg1-4) unstable; urgency=low

  * add debian/spring-javaai.links to add links to jna.jar and vecmath.jar

 -- Jan Dittberner <jandd@debian.org>  Fri, 16 Apr 2010 23:12:29 +0200

spring (0.81.2.1+dfsg1-3) unstable; urgency=low

  * enable Java-AI-Interface
   - debian/control: add libvecmath-java and libjna-java to Build-Depends
   - debian/rules: remove -DAI_TYPES=NATIVE configure argument, add
     -DAI_FIND_QUIETLY=FALSE
   - add debian/patches/0002-use-Debian-java-libs.patch to use jar files
     from libvecmath-java and libjna-java
   - add debian/patches/0003-fix-cmake-2_8-java-build.patch to fix cmake 2.8
     java compilation issue
  * add new binary package spring-javaai
   - add package stanza to debian/control
   - add paths to debian/spring-javaai.install
  * add spring-javaai to spring binary package's Suggests in debian/control
  * refine debian/spring-common.install to exclude Java AI files from
    spring-common
  * debian/control: remove libgcj9-dev from Build-Depends, it is not
    available anymore and not necessary (Closes: #577885)

 -- Jan Dittberner <jandd@debian.org>  Fri, 16 Apr 2010 18:41:38 +0200

spring (0.81.2.1+dfsg1-2) unstable; urgency=low

  * use FreeSansBold.otf from otf-freefont (Closes: #575512)
   - debian/control: depend on otf-freefont instead of ttf-freefont
   - debian/rules: symlink to otf version of FreeSansBold

 -- Jan Dittberner <jandd@debian.org>  Mon, 05 Apr 2010 00:02:31 +0200

spring (0.81.2.1+dfsg1-1) unstable; urgency=low

  * New upstream version

 -- Jan Dittberner <jandd@debian.org>  Thu, 25 Mar 2010 21:15:03 +0100

spring (0.81.2+dfsg1-1) unstable; urgency=low

  * New upstream version
  * debian/rules, debian/watch: use +dfsg instead of ~dfsg for correct
    sorting

 -- Jan Dittberner <jandd@debian.org>  Mon, 22 Feb 2010 22:13:14 +0100

spring (0.81.1.3~dfsg1-1) unstable; urgency=low

  [ Marco Amadori ]
  * Imported Upstream version 0.81.1.3
  * Set -march=i686 only on i386 (Helps: #563686).
  * Adapted DATADIR paths to relative ones
  * Bumped Standards-Version to 3.8.4.

  [ Jan Dittberner ]
  * repack tarball in a get-orig-source rule
  * add dversionmangle to debian/watch
  * move information from debian-removed.txt to debian/README.source
  * debian/control:
   - add myself to Uploaders
   - set Architecture for spring and spring-dbg to i386 amd64
     kfreebsd-i386 kfreebsd-amd64 hurd-i386 because of x86 only assembly in
     rts/lib/streflop/streflopC.cpp
   - remove Build-Depends quilt
  * add doc-base registration files debian/spring.doc-base.devguide and
    debian/spring.doc-base.minihelp for included HTML documentation
  * add debian/source/format with content "3.0 (quilt)"
  * remove quilt information from debian/README.source
  * debian/rules: remove " --with quilt"

 -- Jan Dittberner <jandd@debian.org>  Sat, 20 Feb 2010 18:02:42 +0100

spring (0.80.5.2-2) unstable; urgency=low

  * Added the -dbg debug package (Closes: #564049).
  * Removed spring-common circular Depends (Closes: #562711).
  * Renabled Quilt for including a git upstream licence patch.
  * Allow builds without SSE (Closes: #563686).
  * Improved copyright file (Closes: #563739).

 -- Marco Amadori <marco.amadori@gmail.com>  Thu, 14 Jan 2010 02:17:08 +0100

spring (0.80.5.2-1) unstable; urgency=low

  * Initial release (Closes: #367883).
  * Thanks to Scott Ritchie <scottritchie@ubuntu.com> and Chris Clearwater
    <chris@detrino.org> for their MOTU packaging which gave me a couple of
    hints.
  * This release do not include the Java AI interface due to a couple of
    sourceless jar distributed in the upstream tarball that are stripped in
    this packaging.
 -- Marco Amadori <marco.amadori@gmail.com>  Sat, 28 Nov 2009 23:55:25 +0100
